import { PublicKey } from "@solana/web3.js";
export declare const PROGRAM_ID: PublicKey;
export declare const MPL_TOKEN_METADATA_PROGRAM_ID: PublicKey;
export declare const MPL_BUBBLEGUM_PROGRAM_ID: PublicKey;
export declare const RENDER_MINT: PublicKey;
export declare const IDL: {
    version: string;
    name: string;
    instructions: {
        name: string;
        accounts: {
            name: string;
            isMut: boolean;
            isSigner: boolean;
        }[];
        args: {
            name: string;
            type: {
                defined: string;
            };
        }[];
    }[];
    accounts: {
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                };
            })[];
        };
    }[];
    types: ({
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    vec: {
                        defined: string;
                    };
                };
            })[];
        };
    } | {
        name: string;
        type: {
            kind: string;
            fields: {
                name: string;
                type: {
                    option: string;
                };
            }[];
        };
    })[];
    events: {
        name: string;
        fields: ({
            name: string;
            type: string;
            index: boolean;
        } | {
            name: string;
            type: {
                vec: {
                    defined: string;
                };
            };
            index: boolean;
        })[];
    }[];
    errors: {
        code: number;
        name: string;
        msg: string;
    }[];
};
//# sourceMappingURL=constants.d.ts.map